function frameIncludes(id) {
  var tunerFrame = ` 
  <!DOCTYPE html>
  <html lang="ru">
    <head>
      <meta http-equiv="Content-Type" content="text/html; charset=" windows-1251">
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="shortcut icon" href="assets/tuner/js/favicon.ico" />
      <link rel="icon" type="image/png" href="assets/tuner/js/favicon.png" />
      <title>Конфигуратор</title>
      <link rel="stylesheet" href="assets/tuner/js/css/w3.css" />
      <link rel="stylesheet" href="assets/tuner/js/css/style.css" />
      <script> let TUNER_DEVICE_ID = ${id}; </script>
     
      <script src="assets/tuner/js/js/framework/pereplet.js" type="text/javascript"></script>

      <script src="assets/tuner/js/index.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/cmd/makeTuner.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/cmd/cmd.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/cmd/saveChange.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/framework/notification.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/constants/const.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/constants/device.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/tabs/telemetriya.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/thisDevice.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/tlmtr_rkps.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/shleif_pk4.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/rele_pk4.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/gsmCall_pk4.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/ip_udp_pk4.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/sections/sections.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/sections/editSect.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/sections/newSect.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/sections/sectionsList.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/ext/extenders.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/ext/newExt.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/tabs/display.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/tabs/keys.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/tabs/development.js" type="text/javascript"></script>
    
      <script src="assets/tuner/js/js/factory/factory.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/factory/searchKey.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/factory/createControls.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/factory/createControls_pk4.js" type="text/javascript"></script>
      <script src="assets/tuner/js/js/factory/updateControls.js" type="text/javascript"></script>
  
      <script type="text/javascript">
        /* ПОЛИФИЛ ИНКЛЮД */
        if (!Array.prototype.includes) {
          Object.defineProperty(Array.prototype, "includes", {
            value: function(searchElement, fromIndex) {
              if (this == null) {
                throw new TypeError('"this" is null or not defined');
              }
              var o = Object(this);
              var len = o.length >>> 0;
              if (len === 0) {
                return false;
              }
              var n = fromIndex | 0;
              var k = Math.max(n >= 0 ? n : len - Math.abs(n), 0);
  
              function sameValueZero(x, y) {
                return x === y || (typeof x === "number" && typeof y === "number" && isNaN(x) && isNaN(y));
              }
              while (k < len) {
                if (sameValueZero(o[k], searchElement)) {
                  return true;
                }
                k++;
              }
              return false;
            }
          });
        }
        /* ПОЛИФИЛ ИНКЛЮД Конец */    
  
        window.vhost = ""; // url для запросов fetch      
        window.onload = function() {
          //console.log(superFetch("/query/device?id=N&statusdevice"));        
          appendInteface();
          whatModeTuner();
          checkVersionUart();
          console.log('12345  ' + TUNER_DEVICE_ID);
          //console.log(window.navigator);
          //};
        };
      </script>
  
    </head>
  
    <body>
      <div id="tunerDevice"></div>
      <div id="alert-area" class="alert-area"></div>
    </body>
  </html>
  `;
  return tunerFrame;
}
